Last Comment Bug 308518 - (mdcredirects) Need redirects added to Mozilla.org
(mdcredirects)
: Need redirects added to Mozilla.org
Status: RESOLVED FIXED
:
Product: www.mozilla.org
Classification: Other
Component: General (show other bugs)
: other
: All All
: -- normal
: ---
Assigned To: Nick Bebout
:
Mentors:
https://developer.mozilla.org/Project...
Depends on: 367834 377723
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-14 10:31 PDT by Deb Richardson [:dria] (plz NEEDINFO)
Modified: 2013-01-26 01:48 PST (History)
25 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Deb Richardson [:dria] (plz NEEDINFO) 2005-09-14 10:31:19 PDT
As we discussed in IRC, as we migrate content from mozilla.org into the dev.mo
wiki, we need redirects put in to mozilla.org so links to old content redirect
people to the new wiki locations.

We have a running list of these redirects on the Dev.mo English wiki here:
http://developer.mozilla.org/en/docs/Devmo:Needs_Redirect .  When those
redirects have been added, just delete them from that wiki list.

We'll probably need this done on a semi-regular basis (weekly, bi-weekly) so let
me know if I should reopen this bug or open new bugs when I need others done in
the future.
Comment 1 Nick Bebout 2005-09-14 10:54:49 PDT
I'll add these.  Taking bug and reassiging to webmaster@mozilla.org component.  
Comment 2 Deb Richardson [:dria] (plz NEEDINFO) 2005-09-27 06:12:36 PDT
Just wondering what the ETA on this bug might be.  In the near future I'm hoping
to get the docs migration effort back into full swing, and we'll need redirects
like this done on a regular basis.
Comment 3 Nick Bebout 2005-09-30 10:50:10 PDT
I'll try to get these done tonight (or is polvi working on this already now?). 
I had tried to check them in to the mozilla-org/html/.htaccess file like I had
done several months ago, but that file is restricted now.  I'll make individual
.htaccess files in the subdirectories themselves.  Should I cvs remove the old
.html files also?
Comment 4 Alex Polvi 2005-09-30 14:08:41 PDT
(In reply to comment #3)
> I'll try to get these done tonight (or is polvi working on this already now?). 
> I had tried to check them in to the mozilla-org/html/.htaccess file like I had
> done several months ago, but that file is restricted now.  I'll make individual
> .htaccess files in the subdirectories themselves.  Should I cvs remove the old
> .html files also?

Use the directory that the redirect is meant for. Thanks for getting on this.
Comment 5 Deb Richardson [:dria] (plz NEEDINFO) 2005-10-03 08:59:47 PDT
Can I please get an ETA on this?  
Comment 6 Alex Polvi 2005-10-03 12:38:36 PDT
(In reply to comment #5)
> Can I please get an ETA on this?  

Updated 

http://developer.mozilla.org/en/docs/Devmo:Needs_Redirect

I cannot do the root level ones... and cannot find /projects/ at the moment. If
anyone can tackle it before me, go for it! 
Comment 7 Alex Polvi 2005-10-03 17:38:25 PDT
(In reply to comment #6)
> (In reply to comment #5)
> > Can I please get an ETA on this?  
> 
> Updated 
> 
> http://developer.mozilla.org/en/docs/Devmo:Needs_Redirect
> 
> I cannot do the root level ones... 

Still cannot do the root level ones. We will need someone with a higher level of
commit access. Dave?

Comment 8 Deb Richardson [:dria] (plz NEEDINFO) 2005-11-08 12:44:36 PST
The list of required redirects has been updated (and will continue to be as time goes on and we get more docs migrated in):

http://developer.mozilla.org/en/docs/Devmo:Needs_Redirect

Let me know how you want to handle requests like this moving forward.  If you want us to file a bug each time redirects need to be done, that's cool.
Comment 9 Alex Polvi 2005-11-08 13:21:17 PST
These should probably be directed towards someone that normally handles www stuff. Is there such a person? A 'webmaster', if you will....
Comment 10 Dave Miller [:justdave] (justdave@bugzilla.org) 2005-11-08 13:24:03 PST
I actually don't have access to commit there either.  I could probably give myself access to it (I do have admin access in despot) but I'm not sure if that's appropriate.  I'm pretty sure dbaron has access there.
Comment 11 Deb Richardson [:dria] (plz NEEDINFO) 2005-11-09 05:03:47 PST
This is going to be something we need done occassionally (once weekly, ideally) over the long term as we continue to migrate docs out of mozilla.org into the MDC.  Lag on these redirects is suboptimal, because in the period between the migration being finished and the redirect being added, there are two copies of the document, with the potential that both are updated independently of the other.

I'd appreciate it if we could sort this issue out, ideally if we could find someone with the access levels and reliability to do these redirects on a regular basis.

Any idea who might be best to take care of this?
Comment 12 David Baron :dbaron: ⌚️UTC+8 (review requests must explain patch) 2005-11-09 10:01:00 PST
I did the three that are in the root directory and removed them from the Needs_Redirect list.  The others should be in subdirectory .htaccess files (more maintainable, and not hit on the homepage or products fast-path), and I think anybody with webtree access should have those.  Feel free to send me email if you need more in the root directory; I may miss bugmail.
Comment 13 David Baron :dbaron: ⌚️UTC+8 (review requests must explain patch) 2005-11-09 10:06:25 PST
(And if some of you want to be added to the frontpages group, that's fine too.  But there are people with webtree access who shouldn't be.)
Comment 14 Deb Richardson [:dria] (plz NEEDINFO) 2005-12-01 05:44:29 PST
I have another bunch of redirects that need to be made, as listed here:

http://developer.mozilla.org/en/docs/MDC:Needs_Redirect (all except the last on the page about the Gecko DOM Ref).

If it's easier, I can create a list of the URLs to be redirected From/To here.  Let me know.  I'm not sure if any resolution was come to regarding who can/should/would do these redirects, or what the best process for requesting redirects might be.  This needs to be sorted out because it's going to be a while before we're finished doing all the migrations from mozilla.org into the MDC, and I was hoping we could get redirects done on a weekly basis as needed.

If it turns out the only way to facilitate this is for me to be added to the frontpages group, then I guess that's what we'll have to do.  Someone will just have to teach me how to do the redirects and such, since right now I haven't got a clue.
Comment 15 fantasai 2005-12-01 15:12:37 PST
Deb, none of these pages are in the top-level directory. Like dbaron said, you don't need frontpage access to add redirects, you just need to add them to an .htaccess file in the file's parent directory. If you don't know how to do that, copy from the examples in mozilla-org/html/about/.htaccess. If you're having trouble using CVS, ask for help on IRC. If you can't be bothered with setting up the redirects yourself, assign this bug to me and I'll deal with it for you. You don't need permission from anybody to set up redirects, assuming the owner of the page (if any) is ok with you moving it in the first place.
Comment 16 Deb Richardson [:dria] (plz NEEDINFO) 2005-12-02 11:09:31 PST
Thanks! :)
Comment 17 fantasai 2005-12-03 00:34:34 PST
For most files: Redirects added, files cvs removed. Please verify.

For /access/keyboard/accesskey , aaronlev owns the entire /access directory, I'm not touching it unless I know for sure he's approved any changes.

For everything you're removing from /contribute/writing , I want you to file a separate bug on it explaining why, given that we still have some documents that will be staying on mozilla.org, it is better to delete the www.mozilla.org process docs rather than to update them to reflect the current situation.
Comment 18 Deb Richardson [:dria] (plz NEEDINFO) 2005-12-03 10:44:59 PST
That's perfect, fantasai.  Thanks a ton for the help.  I'll be talking to Aaron about the accessibility documents as a whole in the near future (hopefully) and will sort out his approval at that point.  I'll deal with the doc/process things separately (also hopefully in the near future).
Comment 19 Deb Richardson [:dria] (plz NEEDINFO) 2006-03-06 12:36:12 PST
There are several more redirects needed for mozilla.org -> developer.mozilla.org stuff.  List is under "New Entries" here:

http://developer.mozilla.org/en/docs/MDC:Needs_Redirect

Comment 20 fantasai 2006-03-18 09:14:15 PST
Done. Please verify. (Give the site a few minutes to rebuild, though.)
Comment 21 Deb Richardson [:dria] (plz NEEDINFO) 2006-04-10 09:13:57 PDT
Axel has requested that the redirect for http://www.mozilla.org/rdf/doc/datasource-howto.html be removed. 

Also, Nickolay has done a full list of the Gecko DOM reference redirects that are required at this time.  They are available here (only up to the "things to sort out" subhead -- stuff below that is obviously not set for redirecting).

http://developer.mozilla.org/en/docs/MDC:Needs_Redirect/DOM_Reference

(I will verify the other redirects shortly, thanks again for the help.)
Comment 22 Nick Bebout 2006-04-11 09:11:16 PDT
datasource-howto.html redirect removed.

Checking in .htaccess;
/cvsroot/mozilla-org/html/rdf/doc/.htaccess,v  <--  .htaccess
new revision: 1.3; previous revision: 1.2
done

Will add the domref redirects and cvs remove the original pages shortly.
Comment 23 Nick Bebout 2006-04-11 09:17:59 PDT
(In reply to comment #13)
> (And if some of you want to be added to the frontpages group, that's fine too. 
> But there are people with webtree access who shouldn't be.)
> 

David, if you'd like to add me, that'd be great (I think i'll have more time now to help with adding redirects and stuff).  I wouldn't touch anything except .htaccess, and only that for root-level pages. 

Should we move the non-root-level pages that are currently in the root .htaccess to the individual directories? If so, I can handle that if you want.
Comment 24 Nick Bebout 2006-04-11 09:27:42 PDT
FYI, I'm working on adding the redirects and cvs removing the original pages for the domref redirects.  Hopefully now that college is almost out for the summer, I'll have more time to help with these more.
Comment 25 Nick Bebout 2006-04-13 23:52:07 PDT
The redirects for domref and the 1 redirect that was ready from MDC:Needs_Redirect are done.  Please verify and let me know if there are any problems.
Comment 26 Deb Richardson [:dria] (plz NEEDINFO) 2006-04-24 09:36:07 PDT
(In reply to comment #25)
> The redirects for domref and the 1 redirect that was ready from
> MDC:Needs_Redirect are done.  Please verify and let me know if there are any
> problems.

I verified the list, and they all seem to be OK except one:

http://www.mozilla.org/docs/dom/domref/dom_intro.html is supposed to go to http://developer.mozilla.org/en/docs/Gecko_DOM_Reference:Preface , but is a 404 instead.


Comment 27 Nick Bebout 2006-04-24 09:44:41 PDT
Fixed.

Checking in mozilla-org/html/docs/dom/domref/.htaccess;
/cvsroot/mozilla-org/html/docs/dom/domref/.htaccess,v  <--  .htaccess
new revision: 1.5; previous revision: 1.4
done
Comment 28 Reed Loden [:reed] (use needinfo?) 2006-07-22 20:37:03 PDT
Comment #22 caused bugs 345621, 345622, 339148, and 339148.

Should be fixed now.
Comment 29 Reed Loden [:reed] (use needinfo?) 2006-07-22 20:38:25 PDT
(In reply to comment #28)
> Comment #22 caused bugs 345621, 345622, 339148, and 339148.

Er, one of the duplicates should be 340624.
Comment 30 Deb Richardson [:dria] (plz NEEDINFO) 2006-10-01 08:33:12 PDT
There are some new entries in the "Needs Redirect" page on MDC if someone could add those?

The redirects page has been moved to: http://developer.mozilla.org/en/docs/MDC:Needs_Redirect (bug URL updated).

Comment 31 David Baron :dbaron: ⌚️UTC+8 (review requests must explain patch) 2006-10-01 16:02:22 PDT
One of those is a document in the source repository that was migrated; it's listed as an lxr.mozilla.org URL but it really requires a patch to the source tree.

All of the rest can be done by anybody with Web tree access, and should be done in the .htaccess files in the directories containing the documents to be redirected.
Comment 32 Nick Bebout 2006-10-20 09:25:56 PDT
I'll try to hopefully get these done this weekend.  I have been busy with college and work and things.

Comment 33 Deb Richardson [:dria] (plz NEEDINFO) 2006-11-09 05:01:45 PST
Any movement on the new redirects getting added?
Comment 34 Nick Bebout 2006-11-09 13:15:36 PST
I believe all that were ready are finished now.  Please verify.

Sorry it took so long.
Comment 35 Nick Bebout 2006-11-09 13:17:22 PST
BTW, I did not cvs remove the original files, but I added redirects.  I'm not at home right now, so I had to use doctor, which will not allow you to remove pages.  The redirects will still work, because they will still take precedence over the actual pages.

I'll try to cvs remove the old pages tonight hopefully.
Comment 36 Nick Bebout 2006-11-13 08:37:47 PST
Redirects have already been added a few days ago.  I just cvs removed the original pages on www.m.o

--
Removing html/docs/jargon.html;
/cvsroot/mozilla-org/html/docs/jargon.html,v  <--  jargon.html
new revision: delete; previous revision: 1.44
done
Removing html/docs/dom/reference/levels.html;
/cvsroot/mozilla-org/html/docs/dom/reference/levels.html,v  <--  levels.html
new revision: delete; previous revision: 1.8
done
Removing html/docs/web-developer/upgrade_2.html;
/cvsroot/mozilla-org/html/docs/web-developer/upgrade_2.html,v  <--  upgrade_2.html
new revision: delete; previous revision: 1.60
done
Removing html/js/index.html;
/cvsroot/mozilla-org/html/js/index.html,v  <--  index.html
new revision: delete; previous revision: 1.22
done
Removing html/js/language/index.html;
/cvsroot/mozilla-org/html/js/language/index.html,v  <--  index.html
new revision: delete; previous revision: 1.19
done
Removing html/newlayout/faq.html;
/cvsroot/mozilla-org/html/newlayout/faq.html,v  <--  faq.html
new revision: delete; previous revision: 1.10
done
Removing html/projects/netlib/Link_Prefetching_FAQ.html;
/cvsroot/mozilla-org/html/projects/netlib/Link_Prefetching_FAQ.html,v  <--  Link_Prefetching_FAQ.html
new revision: delete; previous revision: 1.18
done
Removing html/projects/plugins/first-install-problem.html;
/cvsroot/mozilla-org/html/projects/plugins/first-install-problem.html,v  <--  first-install-problem.html
new revision: delete; previous revision: 1.2
done
Removing html/projects/plugins/install-scheme.html;
/cvsroot/mozilla-org/html/projects/plugins/install-scheme.html,v  <--  install-scheme.html
new revision: delete; previous revision: 1.4
done
Removing html/projects/xpcom/array-guide.html;
/cvsroot/mozilla-org/html/projects/xpcom/array-guide.html,v  <--  array-guide.html
new revision: delete; previous revision: 1.12
done
Removing html/projects/xpinstall/win_xpi.html;
/cvsroot/mozilla-org/html/projects/xpinstall/win_xpi.html,v  <--  win_xpi.html
new revision: delete; previous revision: 1.3
done
Removing html/projects/xslt/faq.html;
/cvsroot/mozilla-org/html/projects/xslt/faq.html,v  <--  faq.html
new revision: delete; previous revision: 1.5
done
Removing html/projects/xslt/standalone.html;
/cvsroot/mozilla-org/html/projects/xslt/standalone.html,v  <--  standalone.html
new revision: delete; previous revision: 1.7
done
Comment 37 Eric Shepherd [:sheppy] 2007-01-04 14:46:24 PST
I've added a new needed redirect, if it could be handled at some point.  Thanks!
Comment 38 fantasai 2007-01-05 14:29:15 PST
Added redirect for data url doc. For the Bug Writing Guidelines, I want you to get review+approval from Gerv first, because it's a strongly owned document and he is the owner. So, make a list of all the differences between the original file and the wiki version, and make sure that he's ok both with all the changes and with moving it to MDC. The list of differences should include everything that isn't a formatting change: i.e. you need to include that you've dropped his name as owner/maintainer, and that you've changed the text of the box at the top as well as any other changes you made to the text of the document.
Comment 39 Nickolay_Ponomarev 2007-01-05 14:35:22 PST
I did get an approval from gerv for bug writing guidelines.
Comment 40 fantasai 2007-01-07 02:37:16 PST
Ok, thanks. Added redirect.
Comment 41 Eric Shepherd [:sheppy] 2007-02-08 13:01:43 PST
I need a redirect done for the Mozilla plugin scripting doc which has been migrated from http://www.mozilla.org/projects/plugins/npruntime.html#JS_type_mapping
Comment 42 Nick Bebout 2007-02-08 13:58:10 PST
I'll try to do this and the one that Aaron just approved tomorrow.
Comment 43 Nick Bebout 2007-02-09 10:25:48 PST
Checking in .htaccess;
/cvsroot/mozilla-org/html/access/keyboard/.htaccess,v  <--  .htaccess
new revision: 1.6; previous revision: 1.5
done
Removing accesskey.html;
/cvsroot/mozilla-org/html/access/keyboard/accesskey.html,v  <--  accesskey.html
new revision: delete; previous revision: 1.6
done

--

NOTE:  I did not redirect the one Sheppy requested because Nickolay said he thought it needed more added to it first.  Sheppy said he thought it was ok.  I'd like someone else to take a look and approve it, and then I can get it redirected.  I am not that knowledgeable on the subject, so I did not want to have to decide who was right (Nickolay or Sheppy).
Comment 44 Eric Shepherd [:sheppy] 2007-02-09 12:33:13 PST
The scripting plugins stuff has already been read by the original author, who says it looks good.  The content is all fine, the only issue is that the migrated version needs some organizational tweaks.  Please migrate it now.
Comment 45 Andreas Wuest 2007-03-10 15:42:54 PST
http://www.mozilla.org/docs/dom/mozilla/protodoc.html needs a redirect.
Comment 46 Nick Bebout 2007-03-15 12:35:06 PDT
I'll try to do these this weekend.
Comment 47 Eric Shepherd [:sheppy] 2007-04-16 12:16:24 PDT
; http://www.mozilla.org/hacking/getting-cvs-write-access.html needs to redirect to [[Getting commit access to Mozilla source code]]
Comment 48 Reed Loden [:reed] (use needinfo?) 2007-04-16 12:19:43 PDT
(In reply to comment #47)
> ; http://www.mozilla.org/hacking/getting-cvs-write-access.html needs to
> redirect to [[Getting commit access to Mozilla source code]]

My questions/comments on the newsgroups have still not been sufficiently answered on the newsgroups. I'm still not happy about this (and any other _policy_) moving to MDC.
Comment 49 Nickolay_Ponomarev 2007-06-19 03:01:14 PDT
Could we have the non-controversial pages redirected in the meantime, please?
Comment 52 Eric Shepherd [:sheppy] 2007-08-15 16:49:20 PDT
The redirect in comment #50 still hasn't happened; could someone please take care of it?

Thanks.
Comment 53 fantasai 2007-08-21 07:50:20 PDT
Done.
Comment 54 Jason Orendorff [:jorendorff] 2007-08-28 16:14:22 PDT
Bug 394082 is related.  It claims that after a URL is redirected, the corresponding file should be "cvs remove"d from mozilla-org CVS.
Comment 56 Jeff Walden [:Waldo] (remove +bmo to email) 2007-08-30 11:38:49 PDT
I migrated http://www.mozilla.org/scriptable/components_object.html to [[Components object]] and added a redirect for it.  I'd remove the original file if I could do so from the web interface, and it's not worth my time to get a partial www tree to do so.  Please remove the file there, because it's not needed any more.
Comment 57 edburns 2007-08-31 08:51:18 PDT
I migrated http://www.mozilla.org/cvs-ssh-faq.html to [[Using SSH to connect to CVS]] and added a section about firewalls.  

I edited the www page via CVS to make it just be a link to this new page, but I'd like to have a redirect instead.
Comment 58 Jason Orendorff [:jorendorff] 2007-09-13 14:22:26 PDT
I migrated a bunch of documents, listed here:
http://developer.mozilla.org/en/docs/MDC:Needs_Redirect

Please redirect the URLs and "cvs remove" the old files, magic web elves!
Comment 59 Kohei Yoshino [:kohei] 2007-11-30 23:39:34 PST
Can anyone review the current "Needs Redirect" list? I have migrated and listed 100+ documents. I have a mozilla.org CVS access, so once the review is done, I can remove old files then setup redirects myself.
Comment 60 Jeremy Baron 2007-12-19 13:30:13 PST
*** Bug 409041 has been marked as a duplicate of this bug. ***
Comment 61 dwitte@gmail.com 2008-02-07 00:54:56 PST
looks like there are still a pile of redirects (from jorendorff's spree, comment 58) waiting to be done - is anyone free to take care of them?
Comment 62 Eric Shepherd [:sheppy] 2008-03-07 19:11:22 PST
Added a new redirect that needs doing.
Comment 63 Atul Varma [:atul] 2008-05-07 21:44:54 PDT
Added a new redirect.
Comment 64 Eric Shepherd [:sheppy] 2008-05-20 14:05:07 PDT
Added another new redirect that needs to be handled.
Comment 65 Nick Bebout 2009-08-05 17:06:21 PDT
Are there still some needing to be done?
Comment 66 David Boswell 2009-08-06 11:24:33 PDT
Yes, there's still a bunch of redirects to set up.  The URL is this bug was pointing to a non-existent page on MDC though so I updated it.
Comment 67 Nickolay_Ponomarev 2011-01-03 12:30:43 PST
Ping? Can anyone create the pending redirects?
Comment 68 Nick Bebout 2011-01-03 12:54:59 PST
I'll take a look.  I think I still have access.
Comment 69 Mike Alexis [:malexis] 2012-11-15 11:47:33 PST
Resolving as I believe the one mozilla project addressed these redirects. 

Please file new bug to MDN if still needed.

Note You need to log in before you can comment on or make changes to this bug.